Gets the catalog common draft.
1 min
GET
/episerverapi/commerce/catalogs/{catalogName}/commondraft/{lang}
Path Parameters
- catalogNamestringrequiredDescription
- langstringrequiredDescription
Header Parameters
- acceptstringDescriptionDefaulttext/plainAllowedtext/plainapplication/jsontext/json
Responses
200
- DraftCatalogDescription
- endDatestring<date-time>DescriptionFormatdate-time
- startDatestring<date-time>DescriptionFormatdate-time
- isPrimarybooleanDescription
- ownerstringDescription
- sortOrderinteger<int32>DescriptionFormatint32
- namestringDescription
- defaultCurrencystringDescription
- defaultLanguagestringDescription
- weightBasestringDescription
- lengthBasestringDescription
- routeSegmentstringDescription
401
404
curl
curl --request GET \
--url /episerverapi/commerce/catalogs/{catalogName}/commondraft/{lang} \
--header 'accept: text/plain'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "text/plain");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("/episerverapi/commerce/catalogs/{catalogName}/commondraft/{lang}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/episerverapi/commerce/catalogs/{catalogName}/commondraft/{lang}")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["accept"] = "text/plain"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/episerverapi/commerce/catalogs/{catalogName}/commondraft/{lang}"
payload = {}
headers = {
'accept': 'text/plain',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Return the catalog common draft.
{
"endDate": "",
"startDate": "",
"isPrimary": false,
"owner": "",
"sortOrder": "",
"name": "",
"defaultCurrency": "",
"defaultLanguage": "",
"weightBase": "",
"lengthBase": "",
"routeSegment": ""
}401
// If user does not have enough permission for this request.
404
// If catalog common draft does not exist.